<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="validationPanelDiv">
        <gri:popupPanel id="validationPanel" styleClass="modal-lg">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ValidationOfMetadatas']}"/>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#validationPanel').modal('hide')"
                                       execute="@this"/>
                </div>
            </f:facet>
            <s:div>
                <gri:tabPanel switchType="client" rendered="#{messageManagerBean.selectedMessage != null}"
                              activeItem="#{messageManagerBean.selectedMessageTab}">
                    <gri:tab immediate="true" id="Request" head="#{messages['net.ihe.gazelle.xdstar.Request']}">
                        <h:outputText
                                value="#{messageManagerBean.selectedMessage.sentMessageContent.getValidationDetailsAsHtml('1')}"
                                escape="false"/>
                        <br/>
                        <gri:panel>
                            <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.Content']}</f:facet>
                            <gdk:insert content="#{messageManagerBean.stringRequestContent}" highlight="xml"/>
                        </gri:panel>
                    </gri:tab>
                    <gri:tab immediate="true" id="Response" head="#{messages['net.ihe.gazelle.xdstar.Response']}">
                        <h:outputText
                                value="#{messageManagerBean.selectedMessage.receivedMessageContent.getValidationDetailsAsHtml('2')}"
                                escape="false"/>
                        <br/>
                        <gri:panel>
                            <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.Content']}</f:facet>
                            <gdk:insert content="#{messageManagerBean.stringResponseContent}" highlight="xml"/>
                        </gri:panel>
                    </gri:tab>
                </gri:tabPanel>
            </s:div>
        </gri:popupPanel>
    </s:div>
    <s:div id="modalPanelDiv">
        <gri:popupPanel id="modalPanel" styleClass="modal-lg">
            <f:facet name="header">
                <h:outputText value="#{messageManagerBean.selectedMessage.transaction.keyword}"/>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#modalPanel').modal('hide')"
                                       execute="@this"/>
                </div>
            </f:facet>
            <s:div>
                <gri:tabPanel id="messageContentTabPanel" switchType="client"
                              rendered="#{messageManagerBean.selectedMessage != null}">
                    <gri:tab id="sentMessage" immediate="true" name="sentMessageTab"
                             head="#{messages['net.ihe.gazelle.xdstar.SentMessage']}">
                        <gdk:insert content="#{messageManagerBean.stringRequestContent}" highlight="xml"/>
                        <s:div rendered="#{messageManagerBean.getReloadedSelectedMessage().sentMessageContent.listAttachments != null and messageManagerBean.getReloadedSelectedMessage().sentMessageContent.listAttachments.size() &gt;0}">
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Attachments']} "
                                          style="font-weight:bold"/>
                            <br/>
                            <ui:include src="attachmentTable.xhtml">
                                <ui:param name="listAttachments"
                                          value="#{messageManagerBean.selectedMessage.sentMessageContent.listAttachments}"/>
                            </ui:include>
                        </s:div>
                    </gri:tab>
                    <gri:tab immediate="true" name="receivedMessageTab"
                             head="#{messages['net.ihe.gazelle.xdstar.ResponseMessage']}">
                        <gdk:insert content="#{messageManagerBean.stringResponseContent}" highlight="xml"/>
                        <s:div rendered="#{messageManagerBean.getReloadedSelectedMessage().receivedMessageContent.listAttachments != null and messageManagerBean.getReloadedSelectedMessage().receivedMessageContent.listAttachments.size() &gt;0}">
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Attachments']} "
                                          style="font-weight:bold"/>
                            <br/>
                            <ui:include src="attachmentTable.xhtml">
                                <ui:param name="listAttachments"
                                          value="#{messageManagerBean.selectedMessage.receivedMessageContent.listAttachments}"/>
                            </ui:include>
                        </s:div>
                    </gri:tab>
                </gri:tabPanel>
            </s:div>
        </gri:popupPanel>
    </s:div>
</ui:composition>
